Loading...
Searching...
No Matches
BoundingConstraint.h File Reference

Provides partially implemented constraints to implement bounds. More...

Go to the source code of this file.

## Classes

struct | gtsam::BoundingConstraint1< VALUE >
| Unary inequality constraint forcing a scalar to be greater/less than a fixed threshold. More...
struct | gtsam::BoundingConstraint2< VALUE1, VALUE2 >
| Binary scalar inequality constraint, with a similar value() function to implement for specific systems. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Detailed Description

Provides partially implemented constraints to implement bounds.

Author
  Alex Cunningham